Bug 233138 - [exp-run] devel/glib20: remove runtime dep on perl5
Summary: [exp-run] devel/glib20: remove runtime dep on perl5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-11 14:07 UTC by Steve Wills
Modified: 2018-12-05 01:28 UTC (History)
3 users (show)

See Also:
kwm: maintainer-feedback+


Attachments
patch to make glib20 only depend on perl5 at build time (627 bytes, patch)
2018-11-11 14:07 UTC, Steve Wills
no flags Details | Diff
updated patch which fixes some build issues (4.36 KB, patch)
2018-11-12 14:27 UTC, Steve Wills
no flags Details | Diff
updated patch which fixes some more build issues (8.30 KB, patch)
2018-11-13 21:33 UTC, Steve Wills
no flags Details | Diff
patch version 4 (8.81 KB, patch)
2018-11-13 21:37 UTC, Steve Wills
no flags Details | Diff
version 5 (8.81 KB, patch)
2018-11-13 21:40 UTC, Steve Wills
no flags Details | Diff
patch version 6 (9.57 KB, patch)
2018-11-16 12:48 UTC, Steve Wills
no flags Details | Diff
patch version 7 (9.53 KB, patch)
2018-11-16 15:24 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2018-11-11 14:07:14 UTC
Created attachment 199137 [details]
patch to make glib20 only depend on perl5 at build time

Since the glib-mkenums was rewritten in python in glib 2.53.5, this port seems to no longer need perl5 at runtime. Attached patch makes perl5 a build dep only. This reduces the number of ports which depend on perl5 by about 2300. Guessing this will need an exp-run.
Comment 1 Steve Wills freebsd_committer 2018-11-12 14:27:55 UTC
Created attachment 199166 [details]
updated patch which fixes some build issues

Here's an updated version of the patch which fixes some build issues I've run into while doing a local build test of this patch.
Comment 2 Antoine Brodin freebsd_committer 2018-11-13 14:17:11 UTC
New failures on 11.2 i386 with the 1st version of the patch:

+ {"origin"=>"astro/stellarium-qt4", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"deskutils/strigidaemon", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"emulators/libspectrum", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"emulators/qemu-utils", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"games/crossfire-client", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"games/openclaw", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/openspades", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"graphics/gimageview", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/gstreamer", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/gstreamer1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net/gsk", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"net/libfixbuf", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/gnome-settings-daemon", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"x11-wm/i3", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"x11/qt5-x11extras", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"x11/sakura", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"x11/xscreensaver-gnome", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"x11/xscreensaver-gnome-hacks", "phase"=>"configure", "errortype"=>"configure_error"}

New failure logs on 11.2 i386:


http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/stellarium-qt4-0.12.9_1.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/strigidaemon-0.7.8_3.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/libspectrum-1.4.4.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/qemu-utils-2.12.1_1.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/crossfire-client-1.72.0.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/OpenClaw-0.0.51_2.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/openspades-0.0.12_7.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/gimageview-0.2.27_23.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/gstreamer-0.10.36_6.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/gstreamer1-1.14.4.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/gsk-1.0.63_2.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/libfixbuf-2.1.0.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/gnome-settings-daemon-3.28.1.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/i3-4.16.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/qt5-x11extras-5.11.2.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/sakura-3.6.0.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/xscreensaver-gnome-5.12_5.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-12_10h46m49s/logs/errors/xscreensaver-gnome-hacks-5.12_3.log
Comment 3 Steve Wills freebsd_committer 2018-11-13 21:33:18 UTC
Created attachment 199215 [details]
updated patch which fixes some more build issues

Here's an updated patch. Not all the things reported by the exp-run seem related to this change, so those weren't patched.
Comment 4 Steve Wills freebsd_committer 2018-11-13 21:37:14 UTC
Created attachment 199216 [details]
patch version 4

Oops, missed xscreensaver-gnome-hacks in the diff.
Comment 5 Steve Wills freebsd_committer 2018-11-13 21:40:00 UTC
Created attachment 199217 [details]
version 5

Oops, typo'd perl5 in multimedia/gstreamer1-editing-services. Please test again.
Comment 6 w.schwarzenfeld freebsd_triage 2018-11-13 22:11:48 UTC
see bug #233210.
Comment 7 Steve Wills freebsd_committer 2018-11-14 02:13:07 UTC
(In reply to w.schwarzenfeld from comment #6)
Sorry, I fail to see how they are related, can you explain more?
Comment 8 w.schwarzenfeld freebsd_triage 2018-11-14 03:27:23 UTC
You are right, it is not related.
Comment 9 Antoine Brodin freebsd_committer 2018-11-15 22:12:28 UTC
New failures on 11.2 i386:

+ {"origin"=>"emulators/fuse", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"lang/erlang-wx", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"x11-wm/i3", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"x11/sakura", "phase"=>"package", "errortype"=>"???"}

New failure logs on 11.2 i386:

http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-14_15h35m22s/logs/errors/fuse-1.5.6.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-14_15h35m22s/logs/errors/erlang-wx-19.3.6.12,1.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-14_15h35m22s/logs/errors/i3-4.16.log
http://package23.nyi.freebsd.org/data/112i386-default-PR233138/2018-11-14_15h35m22s/logs/errors/sakura-3.6.0.log
Comment 10 Antoine Brodin freebsd_committer 2018-11-16 06:31:54 UTC
Same new failures on 11.2 amd64:

+ {"origin"=>"emulators/fuse", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"lang/erlang-wx", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"x11-wm/i3", "phase"=>"build", "errortype"=>"perl"}
+ {"origin"=>"x11/sakura", "phase"=>"package", "errortype"=>"???"}
Comment 11 Steve Wills freebsd_committer 2018-11-16 12:48:35 UTC
Created attachment 199269 [details]
patch version 6

Here's an updated patch. I think this should fix the remaining issues.
Comment 12 Steve Wills freebsd_committer 2018-11-16 15:24:33 UTC
Created attachment 199273 [details]
patch version 7

glib20 got updated in the mean time, so here's an updated version which takes that into account.
Comment 13 Antoine Brodin freebsd_committer 2018-11-19 06:42:07 UTC
Exp-run looks fine.
Comment 14 commit-hook freebsd_committer 2018-11-19 15:57:55 UTC
A commit references this bug:

Author: swills
Date: Mon Nov 19 15:57:13 UTC 2018
New revision: 485327
URL: https://svnweb.freebsd.org/changeset/ports/485327

Log:
  devel/glib20: remove runtime dep on perl5

  Since glib-mkenums was rewritten in python in glib 2.53.5, glib20 seems
  to no longer need perl5 at runtime. This makes perl5 a build dep only.

  Removing the run dep causes some other ports to fail, so add the build
  dep to those where needed.

  PR:		233138
  Approved by:	gnome (kwm, maintainer, older version of patch)
  Exp-run by:	antoine

Changes:
  head/astro/stellarium-qt4/Makefile
  head/deskutils/strigidaemon/Makefile
  head/devel/glib20/Makefile
  head/emulators/fuse/Makefile
  head/emulators/libspectrum/Makefile
  head/games/crossfire-client/Makefile
  head/graphics/gimageview/Makefile
  head/lang/erlang-wx/Makefile
  head/multimedia/gstreamer/Makefile
  head/multimedia/gstreamer1/Makefile
  head/multimedia/gstreamer1-editing-services/Makefile
  head/multimedia/qt4-mobility/Makefile
  head/net/gsk/Makefile
  head/net/libfixbuf/Makefile
  head/sysutils/gnome-settings-daemon/Makefile
  head/x11/qt5-x11extras/Makefile
  head/x11/sakura/Makefile
  head/x11/xscreensaver-gnome/Makefile
  head/x11/xscreensaver-gnome-hacks/Makefile
  head/x11-wm/i3/Makefile
Comment 15 commit-hook freebsd_committer 2018-12-05 01:28:41 UTC
A commit references this bug:

Author: jbeich
Date: Wed Dec  5 01:28:06 UTC 2018
New revision: 486646
URL: https://svnweb.freebsd.org/changeset/ports/486646

Log:
  math/vtk6: unbreak after r485327 if doxygen built with LATEX=off

   Installing doxygen-1.8.14,2...
   `-- Installing graphviz-2.40.1_6...
  -|   | `-- Installing glib-2.56.1_3,1...
  +|   | `-- Installing glib-2.56.3_1,1...
  -|   |   `-- Installing perl5-5.26.2_2...
  -|   |   `-- Extracting perl5-5.26.2_2: .......... done

  -- Found Doxygen: /usr/local/bin/doxygen (found version "1.8.14") found components:  doxygen dot
  -- Could NOT find Gnuplot (missing: GNUPLOT_EXECUTABLE)
  -- Could NOT find Perl (missing: PERL_EXECUTABLE)
  -- Could NOT find Wget (missing: WGET_EXECUTABLE)
  CMake Error at /usr/local/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:137 (message):
    Could NOT find Perl (missing: PERL_EXECUTABLE)
  Call Stack (most recent call first):
    /usr/local/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
    /usr/local/share/cmake/Modules/FindPerl.cmake:75 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
    Utilities/Doxygen/CMakeLists.txt:5 (find_package)

  PR:		233138

Changes:
  head/math/vtk6/Makefile